#version 450
layout(location = 0) in vec3 aPos;
layout(location = 1) in vec2 aUV;

layout(std140, binding = 0) uniform Globals {
    mat4 uVP;
    vec3 uOffset;
    float uLayer;
    float uAlpha;
};

layout(location = 0) out vec2 vUV;

void main() {
    vUV = aUV;
    gl_Position = uVP * vec4(aPos + uOffset, 1.0);
}
